# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2019-02-19 06:12
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import scipost.fields


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("organizations", "0002_populate_from_partners_org"),
    ]

    operations = [
        migrations.CreateModel(
            name="Contact",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        choices=[
                            ("PR", "Prof."),
                            ("DR", "Dr"),
                            ("MR", "Mr"),
                            ("MRS", "Mrs"),
                            ("MS", "Ms"),
                        ],
                        max_length=4,
                    ),
                ),
                ("activation_key", models.CharField(blank=True, max_length=40)),
                (
                    "key_expires",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="org_contact",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ContactPerson",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        choices=[
                            ("PR", "Prof."),
                            ("DR", "Dr"),
                            ("MR", "Mr"),
                            ("MRS", "Mrs"),
                            ("MS", "Ms"),
                        ],
                        max_length=4,
                    ),
                ),
                ("first_name", models.CharField(max_length=64)),
                ("last_name", models.CharField(max_length=64)),
                ("email", models.EmailField(max_length=254)),
                ("role", models.CharField(max_length=128)),
                (
                    "organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="organizations.Organization",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ContactRole",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "kind",
                    scipost.fields.ChoiceArrayField(
                        base_field=models.CharField(
                            choices=[
                                ("gen", "General Contact"),
                                ("tech", "Technical Contact"),
                                ("fin", "Financial Contact"),
                                ("leg", "Legal Contact"),
                            ],
                            max_length=4,
                        ),
                        size=None,
                    ),
                ),
                ("date_from", models.DateField()),
                ("date_until", models.DateField()),
                (
                    "contact",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="roles",
                        to="organizations.Contact",
                    ),
                ),
                (
                    "organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="organizations.Organization",
                    ),
                ),
            ],
        ),
    ]
